## org.apache.lucene.analysis.payloads
Class TypeAsPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.payloads.TypeAsPayloadTokenFilter

    public class TypeAsPayloadTokenFilter

extends TokenFilter

Makes the `Token.type()` a payload. Encodes the type using `String.getBytes(String)` with "UTF-8" as the encoding

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`TypeAsPayloadTokenFilter(TokenStream input)`

Method Summary
`Token` `next(Token result)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeAsPayloadTokenFilter

    public TypeAsPayloadTokenFilter(TokenStream input)

Method Detail

### next

    public Token next(Token result)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.